> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cubeuaeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# HappyHorse 1.0 I2V

> Submit an image-to-video task (single first-frame image). Returns a `task_id` immediately. Poll `GET /v1/video/generations/{task_id}` for status.



## OpenAPI

````yaml en/api-reference/model-api/alibaba/openapi/happyhorse-1.0-i2v/openapi.yaml POST /v1/video/generations
openapi: 3.1.0
info:
  title: HappyHorse 1.0 I2V
  description: Use the Alibaba DashScope HappyHorse 1.0 image-to-video model
  version: 1.0.0
servers:
  - url: https://ai.cubeuaeai.com
security:
  - bearerAuth: []
paths:
  /v1/video/generations:
    post:
      summary: Create an image-to-video task
      description: >
        Submit an image-to-video task (single first-frame image). Returns a
        `task_id` immediately. Poll `GET /v1/video/generations/{task_id}` for
        task status.
      operationId: createHappyhorse10I2v
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - prompt
                - image
              properties:
                model:
                  type: string
                  enum:
                    - happyhorse-1.0-i2v
                  description: model ID。
                  example: happyhorse-1.0-i2v
                prompt:
                  type: string
                  description: Description of the motion effect.
                  example: The camera slowly zooms in and the scene comes to life
                image:
                  type: string
                  description: >-
                    First-frame image URL. You can also use the `images: [...]`
                    array form (only the first image is used).
                  example: https://example.com/first-frame.png
                resolution:
                  type: string
                  enum:
                    - 720P
                    - 1080P
                  default: 1080P
                  description: Video resolution.
                  example: 720P
                ratio:
                  type: string
                  enum:
                    - '16:9'
                    - '9:16'
                    - '1:1'
                    - '4:3'
                    - '3:4'
                  default: '16:9'
                  description: Aspect ratio.
                  example: '16:9'
                duration:
                  type: integer
                  minimum: 3
                  maximum: 15
                  default: 5
                  description: Video duration in seconds.
                  example: 5
                watermark:
                  type: boolean
                  default: true
                  description: >-
                    Whether to keep the "Happy Horse" watermark in the
                    bottom-right corner.
                  example: false
                seed:
                  type: integer
                  minimum: 0
                  maximum: 2147483647
                  description: Random seed.
                parameters:
                  type: object
                  description: >-
                    Optional: an alternative placement for the same parameters
                    (native DashScope style).
      responses:
        '200':
          description: Task created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
                  task_id:
                    type: string
                    example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
                  object:
                    type: string
                    example: video
                  model:
                    type: string
                    example: happyhorse-1.0-i2v
                  status:
                    type: string
                    example: queued
                  progress:
                    type: integer
                    example: 0
                  created_at:
                    type: integer
                    example: 1777343862
        '400':
          description: Invalid request parameters
        '401':
          description: Unauthorized
        '429':
          description: Rate limited
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````